lib_LIBRARIES = libapi_lib.a

METASOURCES = AUTO
AM_CXXFLAGS = -fPIC

libapi_lib_a_SOURCES = \
	../_api/c4d_customgui/customgui_base.cpp \
	../_api/c4d_customgui/customgui_bitmapbutton.cpp \
	../_api/c4d_customgui/customgui_datetime.cpp \
	../_api/c4d_customgui/customgui_descproperty.cpp \
	../_api/c4d_customgui/customgui_description.cpp \
	../_api/c4d_customgui/customgui_filename.cpp \
	../_api/c4d_customgui/customgui_fontchooser.cpp \
	../_api/c4d_customgui/customgui_gradient.cpp \
	../_api/c4d_customgui/customgui_htmlviewer.cpp \
	../_api/c4d_customgui/customgui_hyperlink.cpp \
	../_api/c4d_customgui/customgui_inexclude.cpp \
	../_api/c4d_customgui/customgui_linkbox.cpp \
	../_api/c4d_customgui/customgui_listview.cpp \
	../_api/c4d_customgui/customgui_matassign.cpp \
	../_api/c4d_customgui/customgui_matpreview.cpp \
	../_api/c4d_customgui/customgui_priority.cpp \
	../_api/c4d_customgui/customgui_quicktab.cpp \
	../_api/c4d_customgui/customgui_splinecontrol.cpp \
	../_api/c4d_customgui/customgui_texbox.cpp \
	../_api/c4d_customgui/customgui_texturename.cpp \
	../_api/c4d_libs/lib_activeobjectmanager.cpp \
	../_api/c4d_libs/lib_browser.cpp \
	../_api/c4d_libs/lib_ca.cpp \
	../_api/c4d_libs/lib_clipmap.cpp \
	../_api/c4d_libs/lib_cloud.cpp \
	../_api/c4d_libs/lib_collider.cpp \
	../_api/c4d_libs/lib_description.cpp \
	../_api/c4d_libs/lib_editortools.cpp \
	../_api/c4d_libs/lib_filtertree.cpp \
	../_api/c4d_libs/lib_hair.cpp \
	../_api/c4d_libs/lib_iconcollection.cpp \
	../_api/c4d_libs/lib_layershader.cpp \
	../_api/c4d_libs/lib_modeling.cpp \
	../_api/c4d_libs/lib_ngon.cpp \
	../_api/c4d_libs/lib_noise.cpp \
	../_api/c4d_libs/lib_prefs.cpp \
	../_api/c4d_libs/lib_regexpr.cpp \
	../_api/c4d_libs/lib_sds.cpp \
	../_api/c4d_libs/lib_selectionchanger.cpp \
	../_api/c4d_libs/lib_sn.cpp \
	../_api/c4d_libs/lib_snapping.cpp \
	../_api/c4d_libs/lib_snd.cpp \
	../_api/c4d_libs/lib_splinehelp.cpp \
	../_api/c4d_libs/lib_viewport.cpp \
	../_api/c4d_libs/lib_zipfile.cpp \
	../_api/c4d_preview/filter_prefs.cpp \
	../_api/c4d_preview/filterpreview.cpp \
	../_api/c4d_preview/filterthread.cpp \
	../_api/c4d_preview/linefetchutil.cpp \
	../_api/c4d_preview/matrixrotate.cpp \
	../_api/c4d_preview/matrixutil.cpp \
	../_api/c4d_preview/matrixwrapper.cpp \
	../_api/c4d_preview/pixelfetchutil.cpp \
	../_api/c4d_preview/sdk_add.cpp \
	../_api/c4d_scaling/mergelin.cpp \
	../_api/c4d_scaling/miniblt.cpp \
	../_api/c4d_scaling/scale.cpp \
	../_api/c4d_scaling/scaleitf.cpp \
	../_api/c4d_scaling/scalelin.cpp \
	../_api/c4d_gv/c4d_graphview.cpp \
	../_api/c4d_gv/c4d_operatorplugin.cpp \
	../_api/c4d_gv/c4d_particles.cpp \
	../_api/c4d_gv/ge_mtools.cpp \
	../_api/c4d_basebitmap.cpp \
	../_api/c4d_basechannel.cpp \
	../_api/c4d_basecontainer.cpp \
	../_api/c4d_basedocument.cpp \
	../_api/c4d_basedraw.cpp \
	../_api/c4d_baseeffectorplugin.cpp \
	../_api/c4d_baselist.cpp \
	../_api/c4d_basematerial.cpp \
	../_api/c4d_baseobject.cpp \
	../_api/c4d_baseplugin.cpp \
	../_api/c4d_baseselect.cpp \
	../_api/c4d_basesound.cpp \
	../_api/c4d_basetag.cpp \
	../_api/c4d_basetime.cpp \
	../_api/c4d_bitmapfilter.cpp \
	../_api/c4d_canimation.cpp \
	../_api/c4d_coffee.cpp \
	../_api/c4d_commandplugin.cpp \
	../_api/c4d_ctrackplugin.cpp \
	../_api/c4d_customdatatype.cpp \
	../_api/c4d_customdatatypeplugin.cpp \
	../_api/c4d_customguidata.cpp \
	../_api/c4d_customguiplugin.cpp \
	../_api/c4d_descriptiondialog.cpp \
	../_api/c4d_falloffplugin.cpp \
	../_api/c4d_file.cpp \
	../_api/c4d_filterplugin.cpp \
	../_api/c4d_gedata.cpp \
	../_api/c4d_general.cpp \
	../_api/c4d_gl.cpp \
	../_api/c4d_gui.cpp \
	../_api/c4d_library.cpp \
	../_api/c4d_listview.cpp \
	../_api/c4d_materialplugin.cpp \
	../_api/c4d_memory.cpp \
	../_api/c4d_messageplugin.cpp \
	../_api/c4d_nodeplugin.cpp \
	../_api/c4d_objectplugin.cpp \
	../_api/c4d_painter.cpp \
	../_api/c4d_particleobject.cpp \
	../_api/c4d_pmain.cpp \
	../_api/c4d_quaternion.cpp \
	../_api/c4d_resource.cpp \
	../_api/c4d_scenehookplugin.cpp \
	../_api/c4d_shaderplugin.cpp \
	../_api/c4d_string.cpp \
	../_api/c4d_tagplugin.cpp \
	../_api/c4d_thread.cpp \
	../_api/c4d_toolplugin.cpp \
	../_api/c4d_tools.cpp \
	../_api/c4d_videopost.cpp \
	../_api/c4d_videopostplugin.cpp \
	../_api/ge_ieee.cpp \
	../_api/ge_sort.cpp \
	../_api/operatingsystem.cpp 

INCLUDES =  \
	-I$(c4d_api) \
	-I$(c4d_api)/c4d_customgui \
	-I$(c4d_api)/c4d_gv \
	-I$(c4d_api)/c4d_libs \
	-I$(c4d_api)/c4d_preview \
	-I$(c4d_api)/c4d_scaling \
	-I$(c4d_bin)/resource/modules/clothilde/source \
	-I$(c4d_bin)/resource/modules/clothilde/source/cloth \
	-I$(c4d_bin)/resource/modules/modeling/res/description \
	-I$(c4d_bin)/resource/modules/objects/res/description \
	-I$(c4d_bin)/resource/res/description

